# Setup your work environment

## Setup for Mac / Linux users

You are lucky, using a UNIX based system as always been ideal for
bioinformatics.  
Open a bash shell terminal and follow the [git installation instruction](#installing-git).

## Setup for Windows users

Using a Windows computer for bioinformatic work has sadly not been ideal most of
the time, but large advanced in recent years have made this quite feasible
through the Windows 10 *Linux subsystem*. This is the only setup for Windows
users that we allow for participants of this course, as all the material has
been created and tested to work on Unix-based systems.

Using the Linux subsystem will give you access to a full command-line bash shell
based on Linux on your Windows 10 PC. For the difference between the Linux Bash
Shell and the PowerShell on Windows 10, see *e.g.* [this article](
https://searchitoperations.techtarget.com/tip/On-Windows-PowerShell-vs-Bash-comparison-gets-interesting).

Install Bash on Windows 10, follow the instructions at *e.g.* one of these
resources:

- [Installing the Windows Subsystem and the Linux Bash](https://docs.microsoft.com/en-us/windows/wsl/install-win10)
- [Installing and using Linux Bash on Windows](https://www.howtogeek.com/249966/how-to-install-and-use-the-linux-bash-shell-on-windows-10/)
- [Installing Linux Bash on Windows](https://itsfoss.com/install-bash-on-windows/)

!!! note

    If you run into error messages when trying to download files through the Linux
    shell (_e.g._ `curl:(6) Could not resolve host`) then try adding the Google
    nameserver to the internet configuration by running `sudo nano /etc/resolv.conf`
    then add `nameserver 8.8.8.8` to the bottom of the file and save it.

!!! tip

    You can find the directory where the Linux distribution is storing all its
    files by typing `explorer.exe .`. This will launch the Windows File Explorer
    showing the current Linux directory.
    Alternatively, you can find the Windows C drive from within the bash shell
    Linux terminal by navigating to `/mnt/c/`.

Open a bash shell Linux terminal and follow the (git installation instruction)[installing-git].

# Installing Git

Chances are that you already have git installed on your computer. You can check
by running *e.g.* `git --version`. If you don't have git, install it following
the instructions [here]( https://git-scm.com/book/en/v2/Getting-Started-Installing-Git).
If you have a very old version of git you might want to update to a later version.

